Debian Bug report logs - #663284
transition: libcommoncpp2 libccaudio2 libccrtp libzrtpcpp

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Mark Purcell <mark@purcell.id.au>

Date: Sat, 10 Mar 2012 02:12:02 UTC

Severity: normal

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, libcommoncpp2-dev@packages.debian.org, sflphone-gnome@packages.debian.org, clamfs@packages.debian.org, vdr-plugin-fritzbox@packages.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#663284; Package release.debian.org. (Sat, 10 Mar 2012 02:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Purcell <mark@purcell.id.au>:
New Bug report received and forwarded. Copy sent to libcommoncpp2-dev@packages.debian.org, sflphone-gnome@packages.debian.org, clamfs@packages.debian.org, vdr-plugin-fritzbox@packages.debian.org, Debian Release Team <debian-release@lists.debian.org>. (Sat, 10 Mar 2012 02:12:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mark Purcell <mark@purcell.id.au>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: transition: libcommoncpp2 libccaudio2 libccrtp libzrtpcpp
Date: Sat, 10 Mar 2012 13:09:09 +1100
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

Debian-Release,

Could I request a transition for libcommoncpp2 and friends.

It looks fairly self contained within the pkg-voip team.

Other packages:
sflphone  		FTBFS (reported #663282)
clamfs    		binNMU OK
vdr-plugin-fritzbox	binNMU OK
twinkle			Obsolete, Dead upstream


Mark

libccgnu2-1.7-0
Reverse Depends:
  vdr-plugin-fritzbox
  twinkle
  sflphone-daemon
  libzrtpcpp-1.4-0
  libcommoncpp2-dev
  libccscript3-1.1-0
  libccrtp1-1.8-0
  clamfs

libccscript3-1.1-0
Reverse Depends:
  libccscript3-dev

libccrtp1-1.8-0
Reverse Depends:
  libzrtpcpp-1.6-0
  twinkle
  sflphone-daemon
  libzrtpcpp-1.4-0
  libccrtp-dev

libzrtpcpp-1.4-0
Reverse Depends:
  twinkle
  sflphone-daemon
  libzrtpcpp-dev

libccaudio2
Reverse Depends:
  libccaudio2-dev

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Added blocking bug(s) of 663284: 663282 Request was from Mark Purcell <mark@purcell.id.au> to control@bugs.debian.org. (Sat, 10 Mar 2012 02:21:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#663284; Package release.debian.org. (Mon, 14 May 2012 20:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 14 May 2012 20:33:05 GMT) Full text and rfc822 format available.

Message #12 received at 663284@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Mark Purcell <mark@purcell.id.au>, 663284@bugs.debian.org
Subject: Re: Bug#663284: transition: libcommoncpp2 libccaudio2 libccrtp libzrtpcpp
Date: Mon, 14 May 2012 22:30:15 +0200
[Message part 1 (text/plain, inline)]
Hi Mark,

Mark Purcell <mark@purcell.id.au> (10/03/2012):
> Could I request a transition for libcommoncpp2 and friends.

and thanks for your patience.

Looking at the tracker:
  http://release.debian.org/transitions/html/libcommoncpp2.html

I picked libcommoncpp2 in experimental and rebuilt packages from level 1
against it. All OK but libccscript3, which would be autorejected due to
binary-or-shlib-defines-rpath lintian error. I think I'll file and
possibly fix that FTBFS.

Then installing rebuilt binaries from libccrtp, level 2 fails due to
unreported yet gcc 4.7 FTBFS: libzrtpcpp. I'll file this one too, and
provide a fix.

As far as I understood your mail, I think it's safe to consider removing
both sflphone and twinkle from testing. (And from unstable. No reverse
dependencies. We can at least break their installability by decrufting
the libraries.)

Please upload to unstable whenever you're ready (fast is good, freeze is
close).

Thanks for your cooperation.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#663284; Package release.debian.org. (Tue, 15 May 2012 21:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Purcell <mark@purcell.id.au>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 15 May 2012 21:21:09 GMT) Full text and rfc822 format available.

Message #17 received at 663284@bugs.debian.org (full text, mbox):

From: Mark Purcell <mark@purcell.id.au>
To: Cyril Brulebois <kibi@debian.org>
Cc: 663284@bugs.debian.org
Subject: Re: Bug#663284: transition: libcommoncpp2 libccaudio2 libccrtp libzrtpcpp
Date: Wed, 16 May 2012 07:16:57 +1000
[Message part 1 (text/plain, inline)]
On Tue, 15 May 2012 06:30:15 Cyril Brulebois wrote:
> Please upload to unstable whenever you're ready (fast is good, freeze is
> close).

Thanks KiBi,

on the way now..

Mark
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#663284; Package release.debian.org. (Thu, 17 May 2012 09:46:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 17 May 2012 09:46:38 GMT) Full text and rfc822 format available.

Message #22 received at 663284@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Mark Purcell <mark@purcell.id.au>, 663284@bugs.debian.org
Subject: Re: Bug#663284: transition: libcommoncpp2 libccaudio2 libccrtp libzrtpcpp
Date: Thu, 17 May 2012 11:18:38 +0200
[Message part 1 (text/plain, inline)]
Mark Purcell <mark@purcell.id.au> (16/05/2012):
> On Tue, 15 May 2012 06:30:15 Cyril Brulebois wrote:
> > Please upload to unstable whenever you're ready (fast is good,
> > freeze is close).
> 
> Thanks KiBi,
> 
> on the way now..

Hi Mark,

I'm not sure whether I should understand the upload is on its way to
unstable, or whether you're on the road and unable to peform the upload.
At least I don't see a new libcommoncpp2 in queued's log.

Thanks for letting us know either way.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#663284; Package release.debian.org. (Sat, 19 May 2012 12:42:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 19 May 2012 12:42:15 GMT) Full text and rfc822 format available.

Message #27 received at 663284@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Mark Purcell <mark@purcell.id.au>, 663284@bugs.debian.org
Subject: Re: Bug#663284: transition: libcommoncpp2 libccaudio2 libccrtp libzrtpcpp
Date: Sat, 19 May 2012 14:41:39 +0200
[Message part 1 (text/plain, inline)]
block 663284 by 673530
thanks

Cyril Brulebois <kibi@debian.org> (17/05/2012):
> I'm not sure whether I should understand the upload is on its way to
> unstable, or whether you're on the road and unable to peform the upload.
> At least I don't see a new libcommoncpp2 in queued's log.
> 
> Thanks for letting us know either way.

Apparently the upload reached unstable now. :)

Blocking the transition bug with libcommoncpp2's FTBFS on kfreebsd-*.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 663284: 673530 Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Sat, 19 May 2012 12:42:17 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Sat, 19 May 2012 13:09:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#663284; Package release.debian.org. (Sun, 20 May 2012 08:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 20 May 2012 08:09:04 GMT) Full text and rfc822 format available.

Message #36 received at 663284@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Mark Purcell <mark@purcell.id.au>, 663284@bugs.debian.org
Subject: Re: Bug#663284: transition: libcommoncpp2 libccaudio2 libccrtp libzrtpcpp
Date: Sun, 20 May 2012 10:06:36 +0200
[Message part 1 (text/plain, inline)]
Cyril Brulebois <kibi@debian.org> (19/05/2012):
> Apparently the upload reached unstable now. :)
> 
> Blocking the transition bug with libcommoncpp2's FTBFS on kfreebsd-*.

This one is fixed, binNMUs scheduled on all architectures.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#663284; Package release.debian.org. (Mon, 21 May 2012 20:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 21 May 2012 20:57:05 GMT) Full text and rfc822 format available.

Message #41 received at 663284@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Mark Purcell <msp@debian.org>
Cc: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>, 663284@bugs.debian.org
Subject: Re: Accepted libccrtp 2.0.3-3 (source all amd64)
Date: Mon, 21 May 2012 22:55:18 +0200
[Message part 1 (text/plain, inline)]
Mark Purcell <msp@debian.org> (15/05/2012):
> Date: Wed, 16 May 2012 07:10:50 +1000
> Source: libccrtp
> Binary: libccrtp-dev libccrtp0 libccrtp-doc
> Architecture: source amd64 all
> Version: 2.0.3-3
> Distribution: unstable
> Urgency: low
> Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
> Changed-By: Mark Purcell <msp@debian.org>
> Description: 
>  libccrtp-dev - Common C++ class framework for RTP packets
>  libccrtp-doc - Documentation files for  GNU ccRTPp library
>  libccrtp0  - Common C++ class framework for RTP packets
> Changes: 
>  libccrtp (2.0.3-3) unstable; urgency=low
>  .
>    * Upload to unstable - coordinated through debian-release

Hi Mark,

this package still builds a libccrtp0 binary, while the tracker suggests
we should be having a libccrtp1-1.8-0 binary package now. Please let us
know if the tracker needs fixing, or whether you have to upload a new
libccrtp package.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#663284; Package release.debian.org. (Mon, 21 May 2012 21:30:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Purcell <mark@purcell.id.au>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 21 May 2012 21:30:26 GMT) Full text and rfc822 format available.

Message #46 received at 663284@bugs.debian.org (full text, mbox):

From: Mark Purcell <mark@purcell.id.au>
To: Cyril Brulebois <kibi@debian.org>
Cc: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>, 663284@bugs.debian.org
Subject: Re: Accepted libccrtp 2.0.3-3 (source all amd64)
Date: Tue, 22 May 2012 07:29:22 +1000
[Message part 1 (text/plain, inline)]
On Tue, 22 May 2012 06:55:18 Cyril Brulebois wrote:
> this package still builds a libccrtp0 binary, while the tracker suggests
> we should be having a libccrtp1-1.8-0 binary package now. Please let us
> know if the tracker needs fixing, or whether you have to upload a new
> libccrtp package.

KiBi,

I suspect the tracker requires update.

The libs transitions are:

libccgnu2-1.7-0->libccgnu2-1.8-0
libccrtp1-1.8-0->libccrtp0
libccaudio2-1.0-0->libccaudio2
libzrtpcpp-1.4-0->libzrtpcpp2

binNMU for:
sflphone
clamfs
vdr-plugin-fritzbox

Obsolete: (KDE3/ QT3/ libccrtp1)
twinkle

Mark
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#663284; Package release.debian.org. (Mon, 21 May 2012 21:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 21 May 2012 21:33:08 GMT) Full text and rfc822 format available.

Message #51 received at 663284@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Mark Purcell <mark@purcell.id.au>
Cc: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>, 663284@bugs.debian.org
Subject: Re: Accepted libccrtp 2.0.3-3 (source all amd64)
Date: Mon, 21 May 2012 23:31:30 +0200
[Message part 1 (text/plain, inline)]
Mark Purcell <mark@purcell.id.au> (22/05/2012):
> I suspect the tracker requires update.
> 
> The libs transitions are:
> 
> libccgnu2-1.7-0->libccgnu2-1.8-0
> libccrtp1-1.8-0->libccrtp0
> libccaudio2-1.0-0->libccaudio2
> libzrtpcpp-1.4-0->libzrtpcpp2
> 
> binNMU for:
> sflphone
> clamfs
> vdr-plugin-fritzbox
> 
> Obsolete: (KDE3/ QT3/ libccrtp1)
> twinkle

Thanks for the clarification, I'll update it.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#663284; Package release.debian.org. (Fri, 25 May 2012 21:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 25 May 2012 21:18:08 GMT) Full text and rfc822 format available.

Message #56 received at 663284@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Mark Purcell <mark@purcell.id.au>, 663284@bugs.debian.org
Subject: Re: Bug#663284: transition: libcommoncpp2 libccaudio2 libccrtp libzrtpcpp
Date: Fri, 25 May 2012 23:15:19 +0200
[Message part 1 (text/plain, inline)]
Mark Purcell <mark@purcell.id.au> (10/03/2012):
> Could I request a transition for libcommoncpp2 and friends.
> 
> It looks fairly self contained within the pkg-voip team.

Listing source packages from Subject, let's check each package's age:
  libcommoncpp2 :  6/10
  libccaudio2   : 10/10
  libccrtp      : 10/10
  libzrtpcpp    :  6/10

There's also that one which got a maintainer upload rather than binNMUs:
  sflphone      :  6/10

So I'll be aging libcommoncpp2, libzrtpcpp, and sflphone to get everyone
in testing during tonight's britney run. Old binaries will stay in
testing though, so I'll move the tracker page from ongoing to finished,
but not close this bug report yet.

This is due to:
| List of old libraries in testing (…):
…
|   libccgnu2-1.7-0: i386 amd64 armel ia64 mips mipsel powerpc s390 sparc armhf s390x

which can't go away because it's needed for at least
vdr-plugin-fritzbox, which can't migrate just yet because of:
| <li>Depends: vdr-plugin-fritzbox <a href="#vdr">vdr</a>

I'll look into vdr on another day, and will close this bug report when
libccgnu2-1.7-0 is finally gone for testing.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Tue, 29 May 2012 22:12:03 GMT) Full text and rfc822 format available.

Notification sent to Mark Purcell <mark@purcell.id.au>:
Bug acknowledged by developer. (Tue, 29 May 2012 22:12:03 GMT) Full text and rfc822 format available.

Message #61 received at 663284-done@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Mark Purcell <mark@purcell.id.au>, 663284-done@bugs.debian.org
Subject: Re: Bug#663284: transition: libcommoncpp2 libccaudio2 libccrtp libzrtpcpp
Date: Wed, 30 May 2012 00:08:47 +0200
[Message part 1 (text/plain, inline)]
Cyril Brulebois <kibi@debian.org> (25/05/2012):
> This is due to:
> | List of old libraries in testing (…):
> …
> |   libccgnu2-1.7-0: i386 amd64 armel ia64 mips mipsel powerpc s390 sparc armhf s390x
> 
> which can't go away because it's needed for at least
> vdr-plugin-fritzbox, which can't migrate just yet because of:
> | <li>Depends: vdr-plugin-fritzbox <a href="#vdr">vdr</a>
> 
> I'll look into vdr on another day, and will close this bug report when
> libccgnu2-1.7-0 is finally gone for testing.

That's the case now, with vdr hitting testing. Finally closing this bug
report. ;)

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2012 07:44:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:56:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.